> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trajectory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eval Rollout Statistics Route



## OpenAPI

````yaml /openapi.json get /api/v1/eval/{eval_run_id}/rollout-statistics
openapi: 3.1.0
info:
  title: Trajectory API
  version: 0.1.0
servers:
  - url: https://api.trajectory.ai
security: []
paths:
  /api/v1/eval/{eval_run_id}/rollout-statistics:
    get:
      tags:
        - eval
      summary: Get Eval Rollout Statistics Route
      operationId: getEvalRolloutStatistics
      parameters:
        - name: eval_run_id
          in: path
          required: true
          schema:
            type: string
            title: Eval Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalRolloutStatisticsResponse'
        default:
          $ref: '#/components/responses/ApiErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EvalRolloutStatisticsResponse:
      properties:
        eval_run_id:
          type: string
          title: Eval Run Id
          description: Evaluation run whose rollouts were sampled.
        snapshots:
          items:
            $ref: '#/components/schemas/EvalRolloutStatisticResponse'
          type: array
          title: Snapshots
          description: Runtime-computed distributions for the evaluation.
      type: object
      required:
        - eval_run_id
        - snapshots
      title: EvalRolloutStatisticsResponse
    EvalRolloutStatisticResponse:
      properties:
        eval_run_id:
          type: string
          title: Eval Run Id
          description: Evaluation run that produced this snapshot.
        xid:
          type: string
          title: Xid
          description: Evaluation rollout XID sampled by this snapshot.
        stage:
          type: string
          title: Stage
          description: Pipeline stage that produced the trajectories.
        knob_name:
          type: string
          title: Knob Name
          description: Trajectory setting represented by the distribution.
        unit:
          type: string
          title: Unit
          description: Unit used by the setting and sample values.
        samples:
          items:
            type: number
          type: array
          title: Samples
          description: Observed values.
        sample_count:
          type: integer
          title: Sample Count
          description: Number of trajectories sampled.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Time when the underlying evaluation completed.
      type: object
      required:
        - eval_run_id
        - xid
        - stage
        - knob_name
        - unit
        - sample_count
        - created_at
      title: EvalRolloutStatisticResponse
    ApiErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ApiErrorBody'
      required:
        - error
      title: ApiErrorEnvelope
      type: object
    ApiErrorBody:
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        code:
          title: Code
          type: string
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Param
        doc_url:
          type: string
          title: Doc Url
        context:
          additionalProperties: true
          title: Context
          type: object
      required:
        - type
        - code
        - message
        - doc_url
        - context
      title: ApiErrorBody
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - conflict_error
        - rate_limit_error
        - dependency_error
        - api_error
      title: ErrorType
      type: string
  responses:
    ApiErrorResponse:
      description: >-
        Common API error. Possible codes: `authentication_required`,
        `permission_denied`, `validation_error`, `rate_limited`,
        `internal_error`, `service_unavailable`.
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
        Trajectory-Should-Retry:
          $ref: '#/components/headers/TrajectoryShouldRetry'
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
  headers:
    RequestId:
      schema:
        type: string
    TrajectoryShouldRetry:
      schema:
        type: boolean
    RetryAfter:
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key

````